Classic View System Requirements

Classic View application mode is available in v4.4.x (where x is 0, 1, or 2) only and provides access to v4.3.2 portal design and functionality. See the New View System Requirements if using New View application mode

For the best possible provider portal Classic View experience, use a recent model computer and operating system, a high resolution monitor, a high-speed Internet connection, and a supported Web browser. 

System Requirements and Related Information

Supported Devices
Portal Application Modes (Classic/New)
Supported Web Browsers
Download a Supported Web Browser
Email Account
Viewing PDF or Scanned Image Files
- Unsupported Message Attachment File Formats

Supported Devices 

Computers are the only devices supported in Classic View; mobile devices are not supported.

Portal Application Modes (Classic/New)

In v4.4.x, two portal application modes are supported, Classic View and New View. In general, Classic View provides access to v4.3.2 portal design and functionality. New View provides access to the redesigned portal and functionality available with v4.4.0 and later.

  • When the provider portal is accessed from a mobile device, the application defaults to New View
  • Regardless of application mode, immediately upon upgrade from v4.3.2 to v4.4.0 or later, the legacy "mobile" and "tablet" standalone Web applications become unavailable and support for them ends

Supported Web Browsers

It is strongly recommended that you use a supported Web browser to minimize potential security risks and ensure the best possible portal experience. If you use an unsupported Web browser some portal features may not work correctly. Click here to download a supported Web browser.

Provider Portal Classic View
(Available in portal v4.4.0 - v4.4.2 only)

Operating System Supported Web Browsers
Microsoft Windows Internet Explorer 11 (compatibility view)
Chrome (latest version)
Firefox (latest version)


Internet Explorer
Users:
Microsoft announced end of support for older versions of Internet Explorer effective January 12, 2016. Click here to see the Microsoft announcement. In line with the Microsoft announcement, Provider Portal support for older versions of Internet Explorer has ended. This change is effective immediately and applies to all general availability (GA) versions of Provider Portal.

Download a Supported Web Browser 

Click here to download a supported Web browser.

Email Account

You need a valid email address to set up your portal account. Email is how you receive system alerts including password reset and new secure message inbox item notifications. 

Viewing PDF or Scanned Image Files

  • Adobe Acrobat Reader is required to view or print PDF files.
  • Java is required to view scanned image files.

Unsupported Message Attachment File Formats

Uploading the following file formats as secure message attachments is not supported:

  • Microsoft Excel: .xls, .xlt, .xlm, .xlsx, .xlsm, .xltx, .xltm, .xlsb, .xla, .xlam, .xll, .xlw 
  • Microsoft PowerPoint: .ppt, .pot, .pps, .pptx, .pptm, .potx, .potm, .ppam, .ppsx, .ppsm, .sldx, .sldm
  • Hypertext Markup Language: .htm, .html
Copyright Cerner Corporation. All rights reserved.